com.sleepycat.db

## Interface ReplicationViewHandler

    public interface ReplicationViewHandler

An interface specifying a callback function to be used by replication views.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `partial_view(Environment dbenv, java.lang.String name, int flags)` The application-specific function used by replication views to determine whether a database file is replicated.

### Method Detail

#### partial_view

    boolean partial_view(Environment dbenv,
                         java.lang.String name,
                         int flags)
                  throws DatabaseException

The application-specific function used by replication views to determine whether a database file is replicated.

Parameters:
  `dbenv` - The enclosing database environment handle.
  `name` - The name of the database file.
  `flags` - Currently unused.
Returns:
  True if the file is replicated, or false if not.
Throws:
  `DatabaseException` - if an error occurs when determining whether or not the database file is replicated.